ACTIVITY
ACTIVITY (POST)
POST
/
activity
ACTIVITY (POST)
curl --request POST \
--url https://prod.resdefio.com/activity \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"Survey_Number": "YOUR_SURVEY_NUMBER",
"Session_Id": "YOUR_SESSION_ID",
"Panel_Id": "<string>",
"Hashed_Email": "<string>",
"Range": 24
}
'import requests
url = "https://prod.resdefio.com/activity"
payload = {
"Survey_Number": "YOUR_SURVEY_NUMBER",
"Session_Id": "YOUR_SESSION_ID",
"Panel_Id": "<string>",
"Hashed_Email": "<string>",
"Range": 24
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Survey_Number: 'YOUR_SURVEY_NUMBER',
Session_Id: 'YOUR_SESSION_ID',
Panel_Id: '<string>',
Hashed_Email: '<string>',
Range: 24
})
};
fetch('https://prod.resdefio.com/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.resdefio.com/activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'Survey_Number' => 'YOUR_SURVEY_NUMBER',
'Session_Id' => 'YOUR_SESSION_ID',
'Panel_Id' => '<string>',
'Hashed_Email' => '<string>',
'Range' => 24
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.resdefio.com/activity"
payload := strings.NewReader("{\n \"Survey_Number\": \"YOUR_SURVEY_NUMBER\",\n \"Session_Id\": \"YOUR_SESSION_ID\",\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Range\": 24\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod.resdefio.com/activity")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"Survey_Number\": \"YOUR_SURVEY_NUMBER\",\n \"Session_Id\": \"YOUR_SESSION_ID\",\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Range\": 24\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.resdefio.com/activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"Survey_Number\": \"YOUR_SURVEY_NUMBER\",\n \"Session_Id\": \"YOUR_SESSION_ID\",\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Range\": 24\n}"
response = http.request(request)
puts response.read_body{
"Statistics": [
{
"Activity": {
"Token": {
"Count": 123,
"Average": 123,
"Ratio": 123,
"Median": 123,
"StandardDeviation": 123,
"ClientOverlap": 123
}
}
}
]
}POST variant of ACTIVITY (GET), with the parameters sent as a JSON body. Authenticate with the
x-api-key header. See the Activity Integration guide for the request body, Range values, and a full sample.Authorizations
API key issued for the resdefio.com APIs.
Body
application/json
The survey number.
Example:
"YOUR_SURVEY_NUMBER"
The respondent's session ID.
Example:
"YOUR_SESSION_ID"
The panel ID.
The respondent's hashed email address.
Time range in hours. Defaults to 24.
Available options:
1, 3, 8, 12, 24, 168, 730 Response
200 - application/json
Activity statistics for the token.
Show child attributes
Show child attributes
Was this page helpful?
ACTIVITY (POST)
curl --request POST \
--url https://prod.resdefio.com/activity \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"Survey_Number": "YOUR_SURVEY_NUMBER",
"Session_Id": "YOUR_SESSION_ID",
"Panel_Id": "<string>",
"Hashed_Email": "<string>",
"Range": 24
}
'import requests
url = "https://prod.resdefio.com/activity"
payload = {
"Survey_Number": "YOUR_SURVEY_NUMBER",
"Session_Id": "YOUR_SESSION_ID",
"Panel_Id": "<string>",
"Hashed_Email": "<string>",
"Range": 24
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Survey_Number: 'YOUR_SURVEY_NUMBER',
Session_Id: 'YOUR_SESSION_ID',
Panel_Id: '<string>',
Hashed_Email: '<string>',
Range: 24
})
};
fetch('https://prod.resdefio.com/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.resdefio.com/activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'Survey_Number' => 'YOUR_SURVEY_NUMBER',
'Session_Id' => 'YOUR_SESSION_ID',
'Panel_Id' => '<string>',
'Hashed_Email' => '<string>',
'Range' => 24
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.resdefio.com/activity"
payload := strings.NewReader("{\n \"Survey_Number\": \"YOUR_SURVEY_NUMBER\",\n \"Session_Id\": \"YOUR_SESSION_ID\",\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Range\": 24\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod.resdefio.com/activity")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"Survey_Number\": \"YOUR_SURVEY_NUMBER\",\n \"Session_Id\": \"YOUR_SESSION_ID\",\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Range\": 24\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.resdefio.com/activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"Survey_Number\": \"YOUR_SURVEY_NUMBER\",\n \"Session_Id\": \"YOUR_SESSION_ID\",\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Range\": 24\n}"
response = http.request(request)
puts response.read_body{
"Statistics": [
{
"Activity": {
"Token": {
"Count": 123,
"Average": 123,
"Ratio": 123,
"Median": 123,
"StandardDeviation": 123,
"ClientOverlap": 123
}
}
}
]
}